Od początku kiedy dowiedziałem się o ipla, nie ruszało mnie to. Ale że z czasem, człowiek chciał by choć na chwilę u kogoś zobaczyć, czym tak się podniecają, nie które osoby. Na systemy linux istnieje iplalite, okrojona wersja oryginalnego klienta na system windows.
Problem pojawił się w momencie, kiedy po zainstalowaniu iplalite, plansza z łączenie się z serwerem nie zniknęła, rozwiązań znalazłem masę, nawet na stronie Adobe, ale żadne nie zadziałało 😦
Ipla została stworzona w oparciu o AdobeAIR i dlatego zanim zabierzemy się za próby uruchomienia go na systemie 64 bit, trzeba mieć AIR zainstalowane w systemie, procedura opisana tutaj. Teraz wchodzimy na stronę www.ipla.pl (linux) i pobieramy plik. Teraz instalujemy ipla, naciskając na ściągnięty plik, czasami aby AdobeAIR zaczęło działać jest potrzebny restart systemu. Więc po zainstalowaniu ipla, pojawia się wam obraz: łączenie z serwerem, ale nic więcej się nie dzieje, oznacza to, że będzie trzeba trochę pokombinować. Jeśli jednak posiadasz system 64 bit, i uruchamia ci się Ipla, nie musisz nic robić, tylko użytkować.
Jeśli jednak nie działa ci iplalite , może mój sposób pomorze ci odkryć, to co oferuje to medium.
Ponieważ jak napisałem rozwiązań znalazłem kilka, ale żadne nie zadziałało, więc trochę poszukałem i znalazłem rozwiązanie, które u mnie, wreszcie zadziałało, choć trochę je zmodyfikowałem, aby się mniej męczyć 🙂
WIEC NIE WIEM, CZY MOJE ROZWIĄZANIE ROZWIĄŻE COKOLWIEK…
ROZWIĄZANIE DEDYKOWANE UBUNTU 64 bit, CHOĆ NIE WIADOMO CZY NA INNYCH DYSTRYBUCJACH 64 bit TEŻ BY ONO, jeśli komuś zadziała, NIE MOŻNA BYŁO TEGO WYKORZYSTAĆ.
Wchodzimy na stronę http://packages.ubuntu.com
i wyszukujemy libgnome-keyring0.
WAŻNE: aby paczka była odpowiednia dla danej dystrybucji.
Czyli, 9.10 > karmic, 10.04 > lucid. Jest to bardzo ważne, nie można zainstalować najnowszej wersji do starszego systemu, ponieważ mogą wyniknąć konflikty rozwojowe, które zaszły z biegiem czasu w danych paczkach.
Teraz ściągamy wersję 32 bit, nie pomyliłem się 32 bit. Jak zaznaczyłem jest to rozwiązanie dla systemów 64 bit 🙂 Po ściągnięciu paczki, rozpakowujemy ją. Teraz rozpakowujemy: data.gz. Po wykonaniu tych czynności, wykonujemy odpowiednio dla danych dystrybucji:
10.04 lucid
sudo cp /home/[konto]/Desktop/libgnome-keyring0_2.29.4git20100224-0ubuntu1_i386/usr/lib/libgnome-keyring.so.0 /usr/lib32
sudo cp /home/[konto]/Desktop/libgnome-keyring0_2.29.4git20100224-0ubuntu1_i386/usr/lib/libgnome-keyring.so.0.1.1 /usr/lib32
9.10 karmic
sudo cp /home/[konto]/Desktop/libgnome-keyring0_2.28.1-0ubuntu1_i386/usr/lib/libgnome-keyring.so.0 /usr/lib32
sudo cp /home/[konto]/Desktop/libgnome-keyring0_2.28.1-0ubuntu1_i386/usr/lib/libgnome-keyring.so.0.1.1 /usr/lib32
Teraz uruchamiamy iplalite w terminalu z sudo:
sudo /opt/iplalite/bin/iplalite
Po chwili powinien nam się pokazać panel programu, z wyborem informacji sportowych, seriali, ogólnokrajowych wiadomości.
Tak naprawdę mogę podejrzewać, że oryginalne libgnome-keyring0jest tylko dowiązane do wersji 64 bit, co powoduje konflikt miedzy programem 32 bit, a plikami 64 bit. Ale tego to nie wiem, czy tak jest naprawdę.

Jeśli wymieniony wyżej sposób, u ciebie nie działa, to prawdopodobnie problem istnieje gdzie indziej.
U mnie ten sposób działa… nie daje gwarancji, że zadziała u każdego.
———-
był bym wdzięczny za komentarz, czy to komuś pomogło.

Advertisements

7 myśli na temat “ipla(lite) linux 64 bit

  1. Do poprawnego działania ipla wymagane jest środowisko Adobe Air. Nie mamy natomiast wpływu na sposób komunikacji Adobe Air z keyring(gnome) czy kwallet(kde). Najnowsza wersja Adobe Air 2 beta 2 powinna obsługiwać systemy 64-bitowe, dlatego na stronie ipla.pl znajduje się w FAQ link do strony z której można pobrać tą wersję.
    Biorąc pod uwagę ilość dystrybucji i możliwych konfiguracji Linuxów, nie jesteśmy w stanie zamieścić jednej instrukcji instalacji, czy rozwiązania błedu, które zadziała u wszystkich.

    Lubię to

  2. Już od ponad roku to rozwiązanie nie działa, a mogę napisać – że znalazłem kilka rozwiązań i żadne nie działa 😉
    Dlatego napisane jest, że to dla 10.04 i 9.10 – bo im nowsze Ubuntu tym więcej problemów…

    Lubię to

  3. Hmm, pod debianem (sid) działa. Trzeba tylko pobrać pakiet 32-bitowy w tej samej wersji co używany gnome-keyring 64bit. Działa też na e-deklaracje, jeśli ktoś chce się rozliczyć (:

    Najlepiej spróbować odpalić iplę z konsoli – może chce jeszcze jakąś bibliotekę? Ipla dość jasno wypisuje czego brakuje jej do szczęścia.

    Lubię to

    1. Dziwne, bo u mnie na U11.04 (unity i gnone) ipla działa, na KDE ma pewne problemy a na lxde nie działa wcale… – więc jeśli komuś nie działa, niech w KDE uruchomi kwallet a w gnome nic nie trzeba robić… 🙂

      Lubię to

  4. Skopiuj i wklej w Terminal:

    sudo apt-get update && sudo apt-get upgrade && wget –timestamping http://airdownload.adobe.com/air/lin/download/2.6/adobeair.deb && dpkg-deb –extract adobeair.deb adobeair_64 && dpkg-deb –control adobeair.deb adobeair_64/DEBIAN && sudo sed –in-place ‚s/Architecture: i386/Architecture: all/g’ adobeair_64/DEBIAN/control && dpkg –build adobeair_64 && rm –recursive adobeair_64 && sudo dpkg –install adobeair_64.deb && sudo ln –symbolic /usr/lib/libadobecertstore.so /usr/lib32

    następnie:

    sudo apt-get install lib32asound2 lib32gcc1 lib32stdc++6 ia32-libs lib32ncurses5 lib32z1 libc6 libc6-i386 lib32nss-mdns

    Potem już łatwizna, za pośrednictwem Adobe Air instalujemy iplę 😉

    Tym sposobem ipla działa na wszystkich 64 bitowych Ubuntu (od wersji 10.04 wzwyż)

    Lubię to

Skomentuj

Wprowadź swoje dane lub kliknij jedną z tych ikon, aby się zalogować:

Logo WordPress.com

Komentujesz korzystając z konta WordPress.com. Log Out / Zmień )

Zdjęcie z Twittera

Komentujesz korzystając z konta Twitter. Log Out / Zmień )

Facebook photo

Komentujesz korzystając z konta Facebook. Log Out / Zmień )

Google+ photo

Komentujesz korzystając z konta Google+. Log Out / Zmień )

Connecting to %s